> For the complete documentation index, see [llms.txt](https://docs.thesports.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.thesports.com/ice-hockey/match-data/statistical-data-historical-matches.md).

# Statistical data(historical matches)

## Statistical data(historical matches)

> Return statistics for completed historical matches (score)\<br/>Request times: 120 times/min

```json
{"openapi":"3.0.1","info":{"title":"Ice Hockey API","version":"1.0.250818"},"tags":[{"name":"MATCH DATA","description":"MATCH DATA"}],"servers":[{"url":"https://api.thesports.com"}],"paths":{"/v1/ice_hockey/match/live/history":{"get":{"tags":["MATCH DATA"],"description":"Return statistics for completed historical matches (score)<br/>Request times: 120 times/min","summary":"Statistical data(historical matches)","operationId":"getMatchLiveHistory","parameters":[{"$ref":"#/components/parameters/User"},{"$ref":"#/components/parameters/Secret"},{"name":"uuid","in":"query","description":"Match id","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Successful","content":{"application/json":{"schema":{"type":"object","properties":{"code":{"type":"integer"},"results":{"$ref":"#/components/schemas/MatchLiveHistory"}}}}}},"404":{"$ref":"#/components/responses/404NotFound"}}}}},"components":{"parameters":{"User":{"name":"user","in":"query","description":"Username, please contact business","required":true,"schema":{"type":"string"}},"Secret":{"name":"secret","in":"query","description":"Key, please contact business","required":true,"schema":{"type":"string"}}},"schemas":{"MatchLiveHistory":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Match id"},"score":{"$ref":"#/deps/schemas/LiveScore"},"stats":{"$ref":"#/deps/schemas/LiveStats"},"incidents":{"type":"array","description":"Match incidents","items":{"$ref":"#/components/schemas/LiveIncidents"}},"players":{"type":"object","description":"Player Statistics","properties":{"home":{"type":"array","description":"Home Team","items":{"$ref":"#/components/schemas/LivePlayers"}},"away":{"type":"array","description":"Away Team","items":{"$ref":"#/components/schemas/LivePlayers"}}}}}},"LiveIncidents":{"type":"object","properties":{"type":{"type":"integer","description":"Type, see status code -> Incident Type"},"extra":{"type":"integer","description":"Type additional notes<br/>type=1(end, end point description), 1-Section One, 2-Section Two, 3-Section Three, 100-Regular Ends, 105-Overtime Ends, 110-Penalty Shootout Ends<br/>type=2(goal, score type description), 1-Penalty<br/>type=3(card, card type description), 1-yellow card, 2-yellow/red card, 3-red card<br/>type=9(Penalty shootout, type description), 2-score, 3-missed<br/>type=13(goal invalid), 1-coach challenge, 2-var replay"},"second":{"type":"integer","description":"second"},"position":{"type":"integer","description":"The incident occurred, 0-neutral, 1- home team, 2- away team"},"card_minute":{"type":"integer","description":"Card time (minutes) (card event exists)"},"home_score":{"type":"integer","description":"Home team score, related to the goal incident, may not exist"},"away_score":{"type":"integer","description":"Away team score, related to the goal incident, may not exist"},"player_id":{"type":"string","description":"Event related player id (related event exists)"},"assists1_id":{"type":"string","description":"Assist player1 id (score event exists)"},"assists2_id":{"type":"string","description":"Assist player2 id (score event exists)"}}},"LivePlayers":{"type":"object","description":"Data details","properties":{"id":{"type":"string","description":"Player id"},"stats":{"$ref":"#/deps/schemas/LivePlayers"}}}},"responses":{"404NotFound":{"description":"Resource does not exist","content":{"application/json":{"schema":{"$ref":"#/common/schemas/ErrorMsg"}}}}}},"deps":{"schemas":{"LiveScore":{"type":"array","description":"Score data<br/>example: [\"vjxm87b9px3dr6o\", 100, 0, {\"ft\": [3, 5], \"p1\": [2, 0], \"p2\": [1, 1], \"p3\": [0, 4]}]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Match id | String |\n| `1` | Match status, please refer to Status code->Match state | Integer |\n| `2` | Serving side, 1. Home team, 2. Away team, 0. Unknown | Integer |\n| `3` | Detailed instructions, as above | Not specified |\n","properties":["Match id                                                (String type)","Match status, please refer to Status code->Match state  (Integer type)","Serving side, 1. Home team, 2. Away team, 0. Unknown    (Integer type)",{"$ref":"#/deps/schemas/Score"}],"items":""},"Score":{"type":"object","description":"Score data (May be empty)<br/>ft - Regular score<br/>p* - Single inning score(* - Number of inning, 1, 2, 3...)<br/>ot - Overtime score(Contains regular scores)<br/>ap - Penalty score(Contains overtime scores)","properties":{"ft":{"$ref":"#/deps/schemas/MatchScore"},"p*":{"$ref":"#/deps/schemas/MatchScore"},"ot":{"$ref":"#/deps/schemas/MatchScore"},"ap":{"$ref":"#/deps/schemas/MatchScore"}}},"MatchScore":{"type":"array","items":"","description":"**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Home team score | Integer |\n| `1` | Away team score | Integer |\n"},"LiveStats":{"type":"array","description":"Technical Statistics<br/>example: [[0, [[4, 0, 0], [5, 0, 1], [1, 63, 37], [2, 0, 0]]]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Type, 0-full court, 1-first set, 2-second set, and so on, 90-Overtime | Integer |\n| `0[1]` | Nested array; see details below | Array |\n\n**Index `0[1]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[1][0]` | Nested array; see details below | Array |\n\n**Index `0[1][0]` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[1][0][0]` | Statistic type, please refer to Status code->Team Statistics | Integer |\n| `0[1][0][1]` | Home team value | Integer/Float |\n| `0[1][0][2]` | Away team value | Integer/Float |\n","items":""},"LivePlayers":{"type":"array","description":"Player Statistics<br/>example: [[24, 26], [25, 89.1]]\n\n**Field definitions**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0` | Nested array; see details below | Array |\n\n**Index `0` details**\n\n| Index | Field | Type |\n| --- | --- | --- |\n| `0[0]` | Statistic type, please refer to Status code->Player Statistics | Integer |\n| `0[1]` | Value | Integer/Float |\n","items":""}}},"common":{"schemas":{"ErrorMsg":{"type":"object","description":"abnormal","properties":{"code":{"type":"integer","description":"status code"},"msg":{"type":"string","description":"Error message"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.thesports.com/ice-hockey/match-data/statistical-data-historical-matches.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
